Module java.desktop
Package javax.swing

# Enum Class RowFilter.ComparisonType

java.lang.Object
java.lang.Enum<RowFilter.ComparisonType>
javax.swing.RowFilter.ComparisonType

All Implemented Interfaces:
  `Serializable`, `Comparable<RowFilter.ComparisonType>`, `Constable`

Enclosing class:
  RowFilter<M,I>

public static enum RowFilter.ComparisonType extends Enum<RowFilter.ComparisonType>
Enumeration of the possible comparison values supported by some of the default `RowFilter`s.

Since:
  1.6
See Also:
  - `RowFilter`

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AFTER`
Indicates that entries with a value after the supplied value should be included.
`BEFORE`
Indicates that entries with a value before the supplied value should be included.
`EQUAL`
Indicates that entries with a value equal to the supplied value should be included.
`NOT_EQUAL`
Indicates that entries with a value not equal to the supplied value should be included.

## Method Summary

Modifier and Type
Method
Description
`static RowFilter.ComparisonType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RowFilter.ComparisonType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BEFORE

public static final RowFilter.ComparisonType BEFORE
Indicates that entries with a value before the supplied value should be included.

### AFTER

public static final RowFilter.ComparisonType AFTER
Indicates that entries with a value after the supplied value should be included.

### EQUAL

public static final RowFilter.ComparisonType EQUAL
Indicates that entries with a value equal to the supplied value should be included.

### NOT_EQUAL

public static final RowFilter.ComparisonType NOT_EQUAL
Indicates that entries with a value not equal to the supplied value should be included.

## Method Details

### values

public static RowFilter.ComparisonType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RowFilter.ComparisonType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null